# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/softwaretantra/ptest/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/softwaretantra/ptest/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Softwaretantra\\Ptest\\": "packages/softwaretantra/ptest/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Softwaretantra\Ptest\Providers\PtestServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Ptest'  => Softwaretantra\Ptest\Facades\Ptest::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Softwaretantra\\PtestTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ptest/{modulename}

**User**

    http://path-to-route-folder/user/ptest/{modulename}

**Public**

    http://path-to-route-folder/ptests


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/ptest/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ptest/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ptest/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ptest/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ptest/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ptest/{modulename}/{slug}
    METHOD: GET