Lavalite package that provides ptest management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `softwaretantra/ptest`.

    "softwaretantra/ptest": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Softwaretantra\Ptest\Providers\PtestServiceProvider::class,

And also add it to alias

    'Ptest'  => Softwaretantra\Ptest\Facades\Ptest::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Softwaretantra\\PtestTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Softwaretantra\Ptest\Providers\PtestServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/ptest/{modulename}

**User**

    http://path-to-route-folder/user/ptest/{modulename}

**Public**

    http://path-to-route-folder/ptests


### API endpoints

**List**

    http://path-to-route-folder/api/user/ptest/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/ptest/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/ptest/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/ptest/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/ptest/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/ptest/{modulename}/{slug}
    METHOD: GET